mscorlib 2.0.0.0 4.0.0.0 System.Enum

For additional information about TYPEKIND, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Specifies various types of data and functions.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A type that is an alias for another type.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A set of implemented components interfaces.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A set of methods and properties that are accessible through IDispatch::Invoke. By default, dual interfaces return TKIND_DISPATCH.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A set of enumerators.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A type that has virtual functions, all of which are pure.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  End-of-enumeration marker.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A module that can have only static functions and data (for example, a DLL).

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A structure with no methods.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  A union of all members that have an offset of zero.